 /********************************************************************************
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/
 @import "variables.scss";

.pageNotFound {
	position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  background-color: $color-theme-violet;
  background-size: 100%;

  .pageNotFound-content {
    position: absolute;
    width: 550px;
    text-align: center;
    left: 50%;
    margin-left: -275px;
    top: 50%;
    margin-top: -230px;
  }

  img {
    width: 22%;
  }

  h1 {
    color: $color-white;
    font-weight: 100;
    font-size: 45px;
    letter-spacing: 1px;
    margin-bottom: 10px;
  }

  h3 {
    color: $color-white;
    font-weight: 100;
    font-size: 22px;
    margin: 0;
  }

  button {
    text-transform: uppercase;
    background: none;
    color: $color-white;
    border: 1px solid $color-white;
    padding: 8px 30px;
    margin-top: 30px;
    outline: none;

    &:hover {
      background-color: $color-theme-darkviolet;
    }
  }
}
